#include "xfxspawndefoneshot.h"

XFxSpawnDefOneShot::XFxSpawnDefOneShot()
    : XAsset()
    , mCount()
{
    SetName("Spawn Definition Oneshot");
}

XFxSpawnDefOneShot::~XFxSpawnDefOneShot()
{
    
}

void XFxSpawnDefOneShot::Clear()
{
    mCount.Clear();
}

void XFxSpawnDefOneShot::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XFxSpawnDefOneShot::ParseData
}
